import request from '@/utils/request'

// 查询用户目录关联列表
export function listUserMuRelation(query) {
  return request({
    url: '/dangan/userMuRelation/list',
    method: 'get',
    params: query
  })
}

// 查询用户目录关联详细
export function getUserMuRelation(userId) {
  return request({
    url: '/dangan/userMuRelation/' + userId,
    method: 'get'
  })
}

// 新增用户目录关联
export function addUserMuRelation(data) {
  return request({
    url: '/dangan/userMuRelation',
    method: 'post',
    data: data
  })
}

// 修改用户目录关联
export function updateUserMuRelation(data) {
  return request({
    url: '/dangan/userMuRelation',
    method: 'put',
    data: data
  })
}

// 删除用户目录关联
export function delUserMuRelation(userId) {
  return request({
    url: '/dangan/userMuRelation/' + userId,
    method: 'delete'
  })
}
